SCSI_DEVICE_GET(9)

NAME
scsi_device_get - get an additional reference to a scsi_device

SYNOPSIS

int scsi_device_get(struct scsi_device * sdev);

ARGUMENTS

sdev
    device to get a reference to

DESCRIPTION

Gets a reference to the scsi_device and increments the use count of the underlying LLDD module. You must hold host_lock of the parent Scsi_Host or already have a reference when calling this.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT